small portability fix.
authorBrian Gaeke <gaeke@uiuc.edu>
Tue, 24 Feb 2004 22:58:31 +0000 (22:58 +0000)
committerBrian Gaeke <gaeke@uiuc.edu>
Tue, 24 Feb 2004 22:58:31 +0000 (22:58 +0000)
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@11814 91177308-0d34-0410-b5e6-96231b3b80d8

autoconf/AutoRegen.sh

index efedd1a143ed8a12cc6f6e773a7937d319d6bcc1..40bd96be5f98504a4c93c7c389474062b51e051a 100755 (executable)
@@ -7,7 +7,8 @@ test -d autoconf && test -f autoconf/configure.ac && cd autoconf
 [ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
 echo "Regenerating aclocal.m4 with aclocal"
 aclocal || die "aclocal failed"
-if ! autoconf --version | egrep '2\.5[0-9]' > /dev/null
+autoconf --version | egrep '2\.5[0-9]' > /dev/null
+if test $? -ne 0
 then
        die "Your autoconf was not detected as being 2.5x"
 fi